patch-configure 6.3 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241
  1. --- Python-2.6.4.orig/configure 2009-09-29 15:01:59.000000000 +0200
  2. +++ Python-2.6.4/configure 2010-02-13 15:45:15.000000000 +0100
  3. @@ -17191,142 +17191,6 @@ fi
  4. fi
  5. -# On Tru64, chflags seems to be present, but calling it will
  6. -# exit Python
  7. -{ echo "$as_me:$LINENO: checking for chflags" >&5
  8. -echo $ECHO_N "checking for chflags... $ECHO_C" >&6; }
  9. -if test "$cross_compiling" = yes; then
  10. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  11. -See \`config.log' for more details." >&5
  12. -echo "$as_me: error: cannot run test program while cross compiling
  13. -See \`config.log' for more details." >&2;}
  14. - { (exit 1); exit 1; }; }
  15. -else
  16. - cat >conftest.$ac_ext <<_ACEOF
  17. -/* confdefs.h. */
  18. -_ACEOF
  19. -cat confdefs.h >>conftest.$ac_ext
  20. -cat >>conftest.$ac_ext <<_ACEOF
  21. -/* end confdefs.h. */
  22. -
  23. -#include <sys/stat.h>
  24. -#include <unistd.h>
  25. -int main(int argc, char*argv[])
  26. -{
  27. - if(chflags(argv[0], 0) != 0)
  28. - return 1;
  29. - return 0;
  30. -}
  31. -
  32. -_ACEOF
  33. -rm -f conftest$ac_exeext
  34. -if { (ac_try="$ac_link"
  35. -case "(($ac_try" in
  36. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  37. - *) ac_try_echo=$ac_try;;
  38. -esac
  39. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  40. - (eval "$ac_link") 2>&5
  41. - ac_status=$?
  42. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  43. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  44. - { (case "(($ac_try" in
  45. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  46. - *) ac_try_echo=$ac_try;;
  47. -esac
  48. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  49. - (eval "$ac_try") 2>&5
  50. - ac_status=$?
  51. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  52. - (exit $ac_status); }; }; then
  53. -
  54. -cat >>confdefs.h <<\_ACEOF
  55. -#define HAVE_CHFLAGS 1
  56. -_ACEOF
  57. -
  58. - { echo "$as_me:$LINENO: result: yes" >&5
  59. -echo "${ECHO_T}yes" >&6; }
  60. -else
  61. - echo "$as_me: program exited with status $ac_status" >&5
  62. -echo "$as_me: failed program was:" >&5
  63. -sed 's/^/| /' conftest.$ac_ext >&5
  64. -
  65. -( exit $ac_status )
  66. -{ echo "$as_me:$LINENO: result: no" >&5
  67. -echo "${ECHO_T}no" >&6; }
  68. -
  69. -fi
  70. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  71. -fi
  72. -
  73. -
  74. -
  75. -{ echo "$as_me:$LINENO: checking for lchflags" >&5
  76. -echo $ECHO_N "checking for lchflags... $ECHO_C" >&6; }
  77. -if test "$cross_compiling" = yes; then
  78. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  79. -See \`config.log' for more details." >&5
  80. -echo "$as_me: error: cannot run test program while cross compiling
  81. -See \`config.log' for more details." >&2;}
  82. - { (exit 1); exit 1; }; }
  83. -else
  84. - cat >conftest.$ac_ext <<_ACEOF
  85. -/* confdefs.h. */
  86. -_ACEOF
  87. -cat confdefs.h >>conftest.$ac_ext
  88. -cat >>conftest.$ac_ext <<_ACEOF
  89. -/* end confdefs.h. */
  90. -
  91. -#include <sys/stat.h>
  92. -#include <unistd.h>
  93. -int main(int argc, char*argv[])
  94. -{
  95. - if(lchflags(argv[0], 0) != 0)
  96. - return 1;
  97. - return 0;
  98. -}
  99. -
  100. -_ACEOF
  101. -rm -f conftest$ac_exeext
  102. -if { (ac_try="$ac_link"
  103. -case "(($ac_try" in
  104. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  105. - *) ac_try_echo=$ac_try;;
  106. -esac
  107. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  108. - (eval "$ac_link") 2>&5
  109. - ac_status=$?
  110. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  111. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  112. - { (case "(($ac_try" in
  113. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  114. - *) ac_try_echo=$ac_try;;
  115. -esac
  116. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  117. - (eval "$ac_try") 2>&5
  118. - ac_status=$?
  119. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  120. - (exit $ac_status); }; }; then
  121. -
  122. -cat >>confdefs.h <<\_ACEOF
  123. -#define HAVE_LCHFLAGS 1
  124. -_ACEOF
  125. -
  126. - { echo "$as_me:$LINENO: result: yes" >&5
  127. -echo "${ECHO_T}yes" >&6; }
  128. -else
  129. - echo "$as_me: program exited with status $ac_status" >&5
  130. -echo "$as_me: failed program was:" >&5
  131. -sed 's/^/| /' conftest.$ac_ext >&5
  132. -
  133. -( exit $ac_status )
  134. -{ echo "$as_me:$LINENO: result: no" >&5
  135. -echo "${ECHO_T}no" >&6; }
  136. -
  137. -fi
  138. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  139. -fi
  140. -
  141. case $ac_sys_system/$ac_sys_release in
  142. @@ -24749,95 +24613,6 @@ else
  143. echo "${ECHO_T}no" >&6; }
  144. fi
  145. -{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
  146. -echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
  147. -if test "$cross_compiling" = yes; then
  148. - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  149. -See \`config.log' for more details." >&5
  150. -echo "$as_me: error: cannot run test program while cross compiling
  151. -See \`config.log' for more details." >&2;}
  152. - { (exit 1); exit 1; }; }
  153. -else
  154. - cat >conftest.$ac_ext <<_ACEOF
  155. -/* confdefs.h. */
  156. -_ACEOF
  157. -cat confdefs.h >>conftest.$ac_ext
  158. -cat >>conftest.$ac_ext <<_ACEOF
  159. -/* end confdefs.h. */
  160. -#include <stdio.h>
  161. -#include <stddef.h>
  162. -#include <string.h>
  163. -
  164. -#ifdef HAVE_SYS_TYPES_H
  165. -#include <sys/types.h>
  166. -#endif
  167. -
  168. -#ifdef HAVE_SSIZE_T
  169. -typedef ssize_t Py_ssize_t;
  170. -#elif SIZEOF_VOID_P == SIZEOF_LONG
  171. -typedef long Py_ssize_t;
  172. -#else
  173. -typedef int Py_ssize_t;
  174. -#endif
  175. -
  176. -int main()
  177. -{
  178. - char buffer[256];
  179. -
  180. - if(sprintf(buffer, "%zd", (size_t)123) < 0)
  181. - return 1;
  182. -
  183. - if (strcmp(buffer, "123"))
  184. - return 1;
  185. -
  186. - if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
  187. - return 1;
  188. -
  189. - if (strcmp(buffer, "-123"))
  190. - return 1;
  191. -
  192. - return 0;
  193. -}
  194. -_ACEOF
  195. -rm -f conftest$ac_exeext
  196. -if { (ac_try="$ac_link"
  197. -case "(($ac_try" in
  198. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  199. - *) ac_try_echo=$ac_try;;
  200. -esac
  201. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  202. - (eval "$ac_link") 2>&5
  203. - ac_status=$?
  204. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  205. - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  206. - { (case "(($ac_try" in
  207. - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  208. - *) ac_try_echo=$ac_try;;
  209. -esac
  210. -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  211. - (eval "$ac_try") 2>&5
  212. - ac_status=$?
  213. - echo "$as_me:$LINENO: \$? = $ac_status" >&5
  214. - (exit $ac_status); }; }; then
  215. - { echo "$as_me:$LINENO: result: yes" >&5
  216. -echo "${ECHO_T}yes" >&6; }
  217. -
  218. -cat >>confdefs.h <<\_ACEOF
  219. -#define PY_FORMAT_SIZE_T "z"
  220. -_ACEOF
  221. -
  222. -else
  223. - echo "$as_me: program exited with status $ac_status" >&5
  224. -echo "$as_me: failed program was:" >&5
  225. -sed 's/^/| /' conftest.$ac_ext >&5
  226. -
  227. -( exit $ac_status )
  228. -{ echo "$as_me:$LINENO: result: no" >&5
  229. -echo "${ECHO_T}no" >&6; }
  230. -fi
  231. -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
  232. -fi
  233. -
  234. { echo "$as_me:$LINENO: checking for socklen_t" >&5